

#include <inttypes.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>
#include <stm32f0xx.h>

/* User input */
#define LED_PORT		GPIOB->ODR
#define LED_PIN			GPIO_Pin_5

#define LED_ON()			(LED_PORT |= LED_PIN)
#define LED_OFF()			(LED_PORT &= ~LED_PIN)
#define LED_TOGGLE()		(LED_PORT ^= LED_PIN)


#define BLINK		256
#define HEALTHY		0
#define ILL			1
#define DEAD		2

void Heartbeat (uint32_t State);
